
set(hdrs
	include/pw/scripting/script.hpp
	include/pw/scripting/scripting.hpp
	)

set(srcs
	src/script.cpp
	src/script_core.hpp
	src/script_core.cpp
	src/script_system.hpp
	src/script_system.cpp
	src/script_scene.hpp
	src/script_scene.cpp
	)

add_library(pwscripting
	STATIC
	${hdrs}
	${srcs}
	)


target_include_directories(
	pwscripting
	PRIVATE
	${CMAKE_SOURCE_DIR}/src/deps/lua-5.3.4/src
	${CMAKE_SOURCE_DIR}/src/deps/sol2-2.20.6
	PUBLIC
	include
	)

target_link_libraries(pwscripting lualib pwcore pwsystem pwscene)
